Question

Compatibility with Ionic 3 and Cordova

  • 10 June 2022
  • 1 reply
  • 17 views

Badge

I have an application and I would like to integrate it with your API. But my app is old and is in Ionic 3 and Cordova. It is possible to integrate via this documentation (https://docs.revenuecat.com/docs/ionic) as I tried and some errors occurred on my device

ionic info

Ionic:

ionic (Ionic CLI) : 4.12.0
Ionic Framework : ionic-angular 3.9.9
@ionic/app-scripts : 3.2.3

Cordova:

cordova (Cordova CLI) : 10.0.0
Cordova Platforms : not available
Cordova Plugins : not available

System:

Android SDK Tools : 26.1.1 (/opt/Android)
NodeJS : v10.22.0 (/home/alyson/.nvm/versions/node/v10.22.0/bin/node)
npm : 6.14.6
OS : Linux 5.4

One of the mistakes:

 


1 reply

Badge

The error occurred when setting as debug equal true

 

this.purchases.setDebugLogsEnabled(true); // Enable to get debug logs
this.purchases.setup("api_key");

 

 

Reply